NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.EditLineSegmentBuilder Class Reference

Builder for the "Edit Line Segment" operation. More...

Inheritance diagram for NXOpen.Routing.EditLineSegmentBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddLineToSetOfAllEditedSegments ()
 Adds the current line segment to the set of all line segments that have been edited by the user. More...
 
unsafe void DetachActiveRcp ()
 Detaches the line segment, stored in builder, at its active end RCP. More...
 
unsafe void DragLineLength ()
 Updates the line length based on the expression stored in this builder. More...
 
unsafe NXOpen.Point3d GetActiveRcpPositon ()
 Determines the active RCP for the line selected by the user. More...
 
unsafe bool GetOrientation (out NXOpen.Point3d startPoint, out NXOpen.Vector3d direction)
 Determines the orientation information for the line selected by the user. More...
 
unsafe void InitializeFromLine (NXOpen.Routing.LineSegment line)
 Initializes (or resets) the builder based off of the input line segment. More...
 
unsafe void ModifiedLineLength ()
 Updates the line length based on the expression stored in this builder. More...
 
unsafe void RestartDrag ()
 Restart a line drag operation. More...
 
unsafe void StopDrag ()
 Stop the drag operation if it has begun. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ConvertEccentricSegment [get, set]
 Returns or sets the conversion flag. More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length expression. More...
 
unsafe
NXOpen.Routing.SelectLineSegment 
LineSelection [get]
 Returns the line selection. More...
 
unsafe bool LockLength [get, set]
 Returns or sets the lock length flag. More...
 
unsafe bool ReverseDirection [get, set]
 Returns or sets the reverse direction flag. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for the "Edit Line Segment" operation.

Sets (and locks or unlocks) the length of NXOpen.Routing.LineSegment objects. Also moves geometry attached to the line segment to ensure that the attached geometry has the correct shape after an edit.

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateEditLineSegmentBuilder

Created in NX6.0.0

Member Function Documentation

unsafe void NXOpen.Routing.EditLineSegmentBuilder.AddLineToSetOfAllEditedSegments ( )
inline

Adds the current line segment to the set of all line segments that have been edited by the user.

Created in NX9.0.2

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.EditLineSegmentBuilder.DetachActiveRcp ( )
inline

Detaches the line segment, stored in builder, at its active end RCP.

By reversing the direction of line segment, user could make other end RCP as active RCP.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.EditLineSegmentBuilder.DragLineLength ( )
inline

Updates the line length based on the expression stored in this builder.

The line is not fully updated only partially updated (i.e. solid bodies build on the line do not update). This method assumes the difference between the new length value and the previous length value is very small (e.g. a drag operation).

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Point3d NXOpen.Routing.EditLineSegmentBuilder.GetActiveRcpPositon ( )
inline

Determines the active RCP for the line selected by the user.

This is end RCP other than the start point of line segment. This RCP could be dragged along the segment.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Returns
End point other than the start point of line segment.
unsafe bool NXOpen.Routing.EditLineSegmentBuilder.GetOrientation ( out NXOpen.Point3d  startPoint,
out NXOpen.Vector3d  direction 
)
inline

Determines the orientation information for the line selected by the user.

Returns false if there is no line currently stored in the builder.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startPointThe start of the line.
directionThe direction of the line (unit vector).
Returns
True if there is a line associated with this builder.
unsafe void NXOpen.Routing.EditLineSegmentBuilder.InitializeFromLine ( NXOpen.Routing.LineSegment  line)
inline

Initializes (or resets) the builder based off of the input line segment.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Parameters
lineLine object, may be a null reference (Nothing in Visual Basic)
unsafe void NXOpen.Routing.EditLineSegmentBuilder.ModifiedLineLength ( )
inline

Updates the line length based on the expression stored in this builder.

The line is not fully updated only partially updated (i.e. solid bodies build on the line do not update). This method doesn't assume anything about the new value. This method updates the line incrementally from the original length to the new length as this usually results in better looking geometry.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.EditLineSegmentBuilder.RestartDrag ( )
inline

Restart a line drag operation.

This routine should only be called if NXOpen.Routing.EditLineSegmentBuilder.StopDrag . was previously called to stop a line drag operation.

Created in NX7.5.1

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.EditLineSegmentBuilder.StopDrag ( )
inline

Stop the drag operation if it has begun.

This will commit the drag and update the assembly. This will not remove the segment from the builder and dragging can be restarted by calling NXOpen.Routing.EditLineSegmentBuilder.RestartDrag .

Created in NX7.5.1

License requirements: routing_base ("Routing Basic")

Property Documentation

unsafe bool NXOpen.Routing.EditLineSegmentBuilder.ConvertEccentricSegment
getset

Returns or sets the conversion flag.

Forces the commit method to convert line segment to eccentric line segment if set to true. Otherwise convert it to vice versa

Created in NX8.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Expression NXOpen.Routing.EditLineSegmentBuilder.Length
get

Returns the length expression.

This data from this expression is copied to (or from) the distance constraint applied to the ends of the line segment.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Routing.SelectLineSegment NXOpen.Routing.EditLineSegmentBuilder.LineSelection
get

Returns the line selection.

Stores the line segment selected by the user.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe bool NXOpen.Routing.EditLineSegmentBuilder.LockLength
getset

Returns or sets the lock length flag.

Forces the commit method to lock the length to the specified value if set to true. Otherwise the length of the line segment is unconstrained after the commit method is invoked.

Created in NX6.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe bool NXOpen.Routing.EditLineSegmentBuilder.ReverseDirection
getset

Returns or sets the reverse direction flag.

Flips the direction that the extends towards (or shrinks along). This flips the origin of the line as well as the direction.

Created in NX6.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.